Subject: Re: BUG: IPv6 stops working after a while, needs ip ne del command to reset

From: Brian Haley <[email-masked]>
Date: Wed, 01 Sep 2010 10:40:26 -0400

Hi Thomas,

On 09/01/2010 05:21 AM, Thomas Habets wrote:
> 
> I've continued this a bit off-list but thought I would summarize for the
> archives.
> 
> 
> Summary
> -------
> It looks like a firmware issue on the network card. When ILO is enabled
> it shares the first network card with the OS. When it does this
> multicast is broken. When multicast (on a L2 level) is broken IPv6
> neighbor discovery breaks. Only eth0 breaks, eth1 is unaffected.

So are you running with this set to "Shared Network Port" mode?  I'm
guessing you are.

> System
> ------
> HP Proliant DL320 G5p
> Xeon 3GHz
> 1GB RAM
> Arch: amd64
> NIC: Broadcom Corporation NetXtreme BCM5715 Gigabit Ethernet (rev a3)

There was another report on netdev back in 11/2008 on this exact hardware,
with the same problem.

> Problem
> -------
> Buggy box will not answer IPv6 ND or ping to ff02::1. May work at some
> point in the boot process, but once box is fully booted it does not.

I dug-up my notes on the problem, and from what I can tell, the receive
multicast filters on the NIC were getting removed, causing both incoming
IPv6 and IPv4 multicast packets to get dropped.  I'm not sure if there
was ever a fix developed, or if we ever came to a conclusion on where the
bug was - iLO, tg3, or some other area.

-Brian